input TodoActionOrigineInput {
  id: ID
  code: String!
  libelle: String!
  isRemoved: Boolean
  codeMaj: String
}

type Mutation {
  createUpdateTodoActionOrigine(input: TodoActionOrigineInput!): TodoActionOrigine!
  softDeleteTodoActionOrigines(ids: [ID!]!): [TodoActionOrigine!]!
}

type Query {
  todoActionOrigine(id: ID!): TodoActionOrigine
  todoActionOrigines(isRemoved: Boolean): [TodoActionOrigine!]!
}

type TodoActionOrigine implements Searchable {
  type: String!
  id: ID!
  code: String!
  libelle: String!
  isRemoved: Boolean
  codeMaj: String
  userCreation: User
  userModification: User
  dateCreation: DateTime!
  dateModification: DateTime!
}
